Pave Bank
Return

Cancel Return Intent

Cancel a return intent before it has been confirmed. The transaction reverts to completed status and all return details are cleared.

Cancel a return intent

If you have created a return intent but decide not to proceed, use this API to cancel it before confirmation. The transaction reverts to completed status and all return details are cleared.

curl -X DELETE 'https://developer-api-staging.pavebank.dev/v1/transfer/return/transaction_<YOUR_TRANSACTION_ID>' \
  --header 'Authorization: Bearer <YOUR_BEARER_TOKEN>'

This API will respond with a transaction_id

{
  "transaction_id": "transaction_1jt9vwzof57z427158knbxsf2s"
}

The transaction status reverts from intent_created back to completed.

Preconditions

  • The transaction must be in intent_created (RETURN-INTENT-CREATED) status
DELETE
/v1/transfer/return/{transactionID}

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Path Parameters

transactionIDRequiredstring

Response Body

Success response

transaction_idRequiredstring
curl -X DELETE "https://developer-api-staging.pavebank.dev/v1/transfer/return/string" \
  -H "Authorization: Bearer <token>"
{
  "transaction_id": "string"
}